Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.configuration
Class TLEConfig

    java.lang.Object
      tle.framework.configuration.TLEConfig

    public class TLEConfig

extends java.lang.Object

틀 프레임워크의 설정 정보를 저장하는 클래스. 설정 파일은 다음과 같은 형식을 띄어야 한다.

     <?xml version="1.0" encoding="euc-kr" ?>

      <tle>
          <component-list>
              <!-- component-id 요소의 값으로 'TLEController'는 올수 없다. -->

              <component>
                  <component-class>컴포넌트클래스의완전한이름</component-class>
                  <component-id>컴포넌트ID</component-id>
                  <!-- 컴포넌트의 초기화 파라미터 -->
                  <init-param>
                      <param-name>param1</param-name>
                      <param-value>value1</param-value>
                  </init-param>
                  <init-param>
                      <param-name>param2</param-name>
                      <param-value>value2</param-value>
                  </init-param>
              </component>

              ... <!-- 나머지 컴포넌트 설정 정보 -->

          </component-list>

          <framework>
              <core-component>
                  <request-analyzer-id>DefaultRequestAnalyzer</request-analyzer-id>
                  <request-processor-id>DefaultRequestProcessor</request-processor-id>
                  <ui-creator-id>DefaultUICreator</ui-creator-id>
                  <aa-manager-id>DefaultAAManager</aa-manager-id>
              </core-component>
          </framework>
      </tle>

component 태그의 각각의 자식 요소는 다음과 같다.

- component-class : 컴포넌트 클래스의 완전한 이름
- component-id : 컴포넌트를 식별하기 위한 ID
- init-param : 초기화 파라미터

component 태그의 각 정보는 ComponentConfig 객체에 저장되어 관련 컴포넌트를 초기화할 때 인자로 전달된다.

core-component 태그는 틀 프레임워크에서 필요로 하는 4개의 핵심 컴포넌트로 어떤 컴포넌트를 사용할지를 명시한다. 각각의 자식 요소는 다음과 같다. 반드시 4개의 코어 컴포넌트를 명시해주어야한다.

- request-analyzer-id : RequestAnalyzer 컴포넌트 ID
- request-processor-id : RequestProcessor 컴포넌트 ID
- ui-creator-id : UICreator 컴포넌트 ID
- aa-manager-id : AAManager 컴포넌트 ID

Since:
  2.0
Author:
  최범균

Constructor Summary
`TLEConfig()`

Method Summary
`void` | `addComponentConfig(ComponentConfig config)`
`java.lang.String` | `getAAManagerID()`
`ComponentConfig` | `getComponentConfig(java.lang.String componentID)`
`java.util.Iterator` | `getComponentConfigs()`
`java.lang.String` | `getRequestAnalyzerID()`
`java.lang.String` | `getRequestProcessorID()`
`java.lang.String` | `getUICreatorID()`
`boolean` | `getUseWrapper()`
`void` | `setAAManagerID(java.lang.String aaManagerID)`
`void` | `setRequestAnalyzerID(java.lang.String requestAnalyzerID)`
`void` | `setRequestProcessorID(java.lang.String requestProcessorID)`
`void` | `setUICreatorID(java.lang.String uiCreatorID)`
`void` | `setUseWrapper(java.lang.String useWrapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLEConfig

    public TLEConfig()

Method Detail

### addComponentConfig

    public void addComponentConfig(ComponentConfig config)

### getComponentConfig

    public ComponentConfig getComponentConfig(java.lang.String componentID)

### getComponentConfigs

    public java.util.Iterator getComponentConfigs()

### getAAManagerID

    public java.lang.String getAAManagerID()

### setAAManagerID

    public void setAAManagerID(java.lang.String aaManagerID)

### getRequestAnalyzerID

    public java.lang.String getRequestAnalyzerID()

### setRequestAnalyzerID

    public void setRequestAnalyzerID(java.lang.String requestAnalyzerID)

### getRequestProcessorID

    public java.lang.String getRequestProcessorID()

### setRequestProcessorID

    public void setRequestProcessorID(java.lang.String requestProcessorID)

### getUICreatorID

    public java.lang.String getUICreatorID()

### setUICreatorID

    public void setUICreatorID(java.lang.String uiCreatorID)

### setUseWrapper

    public void setUseWrapper(java.lang.String useWrapper)

  Since:
    2.0.5.3

### getUseWrapper

    public boolean getUseWrapper()

  Since:
    2.0.5.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD